Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class MultiMovieController

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.MovieController
                              |
                              +--quicktime.std.movies.MultiMovieController

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class MultiMovieController
extends MovieController
implements quicktime.jdirect.QuickTimeLib

The MultiMovieController class allows for multiple movies to be associated with a single controller. It is the developer's responsibility to appropriately manage the resources consumed by multiple movies.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`MultiMovieController(int subType, Movie theMovie, QDGraphics window, QDPoint location)` This constructor creates a MovieController object for a given subType.
`MultiMovieController(Movie itsMovie)` This constructor locates a movie controller component for you and assigns a movie to that controller.
`MultiMovieController(Movie itsMovie, int someFlags)` This constructor locates a movie controller component for you and assigns a movie to that controller.

Method Summary
`void` | `addMovie(Movie aMovie, QDGraphics movieWindow, QDPoint location)` This method adds a movie to the movie controller.
`Movie` | `getIndMovie(int index)` This method allows you to get the movie at a specified index among the associated movies of a controller.
`void` | `movieChanged(Movie changedMovie)` This method lets you inform a movie controller component that your application has used the Movie Toolbox to change the characteristics of its associated movie.
`void` | `removeAllMovies()` This method allows you to remove all of the associated movies of a controller.
`void` | `removeAMovie(Movie movie)` This method allows you to remove the specified movie from the controller.
`void` | `removeMovie()` This method allows you to remove the movie of the controller.
`void` | `setMovie(Movie aMovie, QDGraphics movieWindow, QDPoint location)` This method adds a movie to the movie controller.

Methods inherited from class quicktime.std.movies.MovieController
`activate, activate, badgeClick, clear, click, clickAndHoldPoint, controllerSizeChanged, copy, cut, deactivate, draw, drawBadge, enableEditing, forceTimeTableUpdate, getBounds, getBoundsRgn, getClip, getControllerInfo, getCurrentTime, getCursorSettingEnabled, getDragEnabled, getFlags, getKeysEnabled, getLooping, getLoopIsPalindrome, getMovie, getPlayEveryFrame, getPlayRate, getPlaySelection, getPort, getRequiredSize, getSelectionBegin, getSelectionDuration, getTimeScale, getTimeSliderRect, getUseBadge, getVisible, getVolume, getWindowRgn, goToTime, idle, inController, invalidate, isAttached, isEditingEnabled, key, linkToURL, movieChanged, movieEdited, paste, paste, play, position, position, prerollAndPlay, removeActionFilter, resume, setActionFilter, setActionFilter, setAttached, setBounds, setClip, setColorTable, setControllerKeysEnabled, setCursorSettingEnabled, setDragEnabled, setDuration, setFlags, setGrowBoxBounds, setKeysEnabled, setLooping, setLoopIsPalindrome, setMovieClip, setPlayEveryFrame, setPlaySelection, setPort, setSelectionBegin, setSelectionDuration, setUseBadge, setVisible, setVolume, step, suspend, undo`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiMovieController

    public MultiMovieController(Movie itsMovie)
                         throws QTException

  This constructor locates a movie controller component for you and assigns a movie to that controller. This constructor always creates a controller that is visible and attached to a movie.
  QuickTime::NewMovieController()
Parameters:
  `itsMovie` - Identifies the movie to be associated with the movie controller.

### MultiMovieController

    public MultiMovieController(Movie itsMovie,
                                int someFlags)
                         throws QTException

  This constructor locates a movie controller component for you and assigns a movie to that controller. This constructor always creates a controller that is attached to a movie.
  QuickTime::NewMovieController()
Parameters:
  `itsMovie` - Identifies the movie to be associated with the movie controller.
  `someFlags` - Contains flags that control the operation.

### MultiMovieController

    public MultiMovieController(int subType,
                                Movie theMovie,
                                QDGraphics window,
                                QDPoint location)
                         throws QTException

  This constructor creates a MovieController object for a given subType. It attaches the controller to the specifed movie in the specifed window.
  QuickTime::MCNewAttachedController()
Parameters:
  `subType` - Specifies the controller component sub type.
  `theMovie` - Specifies the movie to be associated with the movie controller.
  `window` - Identifies the window in which the movie is to be displayed. This may NOT be null.
  `location` - Specifies the upper-left corner of the movie within the window specified by the w parameter.

Method Detail

### movieChanged

    public final void movieChanged(Movie changedMovie)
                            throws StdQTException

  This method lets you inform a movie controller component that your application has used the Movie Toolbox to change the characteristics of its associated movie.
  QuickTime::MCMovieChanged()

  Parameters:
    `changedMovie` - Specifies the changed movie.

### setMovie

    public final void setMovie(Movie aMovie,
                               QDGraphics movieWindow,
                               QDPoint location)
                        throws StdQTException

  This method adds a movie to the movie controller. This method is the same as the addMovie method. But we need to keep setMovie because it is inherited from MovieController.
  QuickTime::MCSetMovie()
Overrides:
  `setMovie` in class `MovieController`

  Parameters:
    `aMovie` - Identifies the movie to be associated with the movie controller.
    `movieWindow` - Identifies the window in which the movie is to be displayed. This may NOT be null unless the movie is also null.
    `location` - Specifies the upper-left corner of the movie within the window specified by the movieWindow parameter.

### addMovie

    public final void addMovie(Movie aMovie,
                               QDGraphics movieWindow,
                               QDPoint location)
                        throws StdQTException

  This method adds a movie to the movie controller. This method is the same as the setMovie method. But we need to keep setMovie because it is inherited from MovieController.
  QuickTime::MCSetMovie()

  Parameters:
    `aMovie` - Identifies the movie to be associated with the movie controller.
    `movieWindow` - Identifies the window in which the movie is to be displayed. This may NOT be null unless the movie is also null.
    `location` - Specifies the upper-left corner of the movie within the window specified by the movieWindow parameter.

### getIndMovie

    public final Movie getIndMovie(int index)
                            throws QTException

  This method allows you to get the movie at a specified index among the associated movies of a controller.
  QuickTime::MCGetIndMovie()

  Parameters:
    `index` - Specifies the index of the movie.
  Returns:
    a Movie object.

### removeAllMovies

    public final void removeAllMovies()
                               throws StdQTException

  This method allows you to remove all of the associated movies of a controller.
  QuickTime::MCRemoveAllMovies()

### removeAMovie

    public final void removeAMovie(Movie movie)
                            throws StdQTException

  This method allows you to remove the specified movie from the controller.
  QuickTime::MCRemoveAMovie()

  Parameters:
    `movie` - Specifies the movie to be removed.

### removeMovie

    public final void removeMovie()
                           throws StdQTException

  This method allows you to remove the movie of the controller.
  QuickTime::MCRemoveMovie()
Overrides:
  `removeMovie` in class `MovieController`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD